Bug 192406 - magic entry for Clam database gives double entries for gzipped and tared fields.
magic entry for Clam database gives double entries for gzipped and tared fields.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-19 10:17 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.17-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 10:36:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-05-19 10:17:59 EDT
Description of problem:

$ file /tmp/daily.cvd
/tmp/daily.cvd: Clam AntiVirus database 27 Apr 2006 20-39 +0200, version 1428, 
gzipped, gzipped
$

Above is from the output of file(1).  Below is from the magic file:
>>>>512 string          \037\213        \b, gzipped
>>>>769 string          ustar\0         \b, tared
>512    string          \037\213        \b, gzipped
>769    string          ustar\0         \b, tared


According to magic(5) the items that start with ">number" will be processed in 
every case when items that start with ">>>>number" will be processed and also 
in other cases.  Therefore the lines starting with ">>>>512" and ">>>>769" are 
redundant.

Also is it "tared" or "tarred"?

This bug is in file-4.17-3 (rawhide) and file-4.17-2.fc5.
Comment 1 Radek Vokal 2006-05-21 11:22:42 EDT
Can you please provide the test file? 
Comment 2 Radek Vokal 2006-05-24 10:36:28 EDT
Thanks, fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.